#define scmrev 20141024
%define rel 1
Version: 0.1.5

Name: lxmenu-data
%if 0%{?scmrev:1}
# rm -rf lxmenu-data && git clone git://git.lxde.org/git/lxde/lxmenu-data.git && cd lxmenu-data/ 
# git archive --prefix=lxmenu-data-$(date +%Y%m%d)/ --format=tar HEAD | xz > ../lxmenu-data-$(date +%Y%m%d).tar.xz
Release: %mkrel -c %{scmrev} %rel
Source0: %{name}-%{scmrev}.tar.xz
%else
Release: %mkrel %rel
Source0: https://github.com/lxde/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
%endif
Summary: Freedesktop.org application menu definition files for the LXQt desktop
URL: http://lxqt.org/
License: LGPLv2+
Group: Graphical desktop/KDE
BuildArch:	noarch
BuildRequires: cmake
BuildRequires: pkgconfig(lxqt)
BuildRequires: pkgconfig(lxqt-globalkeys)
BuildRequires: intltool

%description
Freedesktop.org application menu definition files for the LXQt desktop.

%prep
%if 0%{?scmrev:1}
%setup -q -n %{name}-%{scmrev}
%else
%setup -q
%endif

%build
NOCONFIGURE=1 ./autogen.sh
%configure2_5x --sysconfdir=%{_sysconfdir}
%make_build

%install
%make_install

%files
%{_sysconfdir}/xdg/menus/lxde-applications.menu
%{_datadir}/desktop-directories/lxde*.directory


%changelog
* Sun Nov 13 2016 daviddavid <daviddavid> 0.1.5-1.mga6
+ Revision: 1067048
- new version: 0.1.5

* Sat Feb 20 2016 umeabot <umeabot> 0.1.4-3.mga6
+ Revision: 971839
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 0.1.4-2.mga6
+ Revision: 893162
- make it noarch thus fixing empty debuginfo

* Sun Feb 22 2015 doktor5000 <doktor5000> 0.1.4-1.mga5
+ Revision: 816447
- new version 0.1.4, now using upstream version numbering
- remove conditional handling for QT5 as QT4 is not supported anymore
- adjusted BuildRequires from pkgconfig(lxqt-qt5) to pkgconfig(lxqt)
- use new URL http://downloads.lxqt.org/lxqt/

* Wed Dec 17 2014 doktor5000 <doktor5000> 0.8.0-0.20141024.3.mga5
+ Revision: 803678
- rebuild for QT 5.4 breakage

* Sat Oct 25 2014 doktor5000 <doktor5000> 0.8.0-0.20141024.2.mga5
+ Revision: 793199
+ rebuild (emptylog)

* Fri Oct 24 2014 doktor5000 <doktor5000> 0.8.0-0.20141024.1.mga5
+ Revision: 793067
- new snapshot 20141024
- correct license

* Wed Oct 15 2014 umeabot <umeabot> 0.7.0-0.20140525.3.mga5
+ Revision: 750945
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.0-0.20140525.2.mga5
+ Revision: 682080
- Mageia 5 Mass Rebuild

* Sat Jun 07 2014 doktor5000 <doktor5000> 0.7.0-0.20140525.1.mga5
+ Revision: 634499
- add BuildRequires on intltool
- imported package lxmenu-data

